Bug 1011037 - Cannot remove message compose
Cannot remove message compose
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Brian Fitzpatrick
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 10:08 EDT by Brian Fitzpatrick
Modified: 2015-08-02 19:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1672 Minor Closed Cannot remove message composer 2014-06-16 19:53:17 EDT

  None (edit)
Description Brian Fitzpatrick 2013-09-23 10:08:14 EDT
Description of problem:
Once a message composer is set I'm not able to remove it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add HTTP binding
2. Add a message composer
3. Press OK and save
4. Go to properties view and try to remove the composer
5. The composer is still there

Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2013-09-23 10:09:04 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1672

Just need BZ approvals to push the fix for this minor issue.
Comment 3 JBoss JIRA Server 2013-09-23 10:17:48 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1672

Taking a look at this to make sure it will work for the SOAP binding as well after some feedback from rcernich
Comment 4 JBoss JIRA Server 2013-09-23 10:25:41 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1672

SOAP binding looks AOK with this change. Context Mapper and Message Composer are added/removed just like they should be.
Comment 5 JBoss JIRA Server 2013-09-23 12:58:18 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1672

Discovered an issue with the integration between the SOAP binding composite and the message composer, so am working through that.
Comment 6 JBoss JIRA Server 2013-09-23 14:24:20 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1672

Probably the same issue you found, but keep in mind that the "unwrap" option is set on the context mapper with SOAP bindings.  So even if the message composer config is empty on the composer tab, if unwrap is enabled the context mapper element still needs to be there.
Comment 7 JBoss JIRA Server 2013-09-23 14:38:37 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1672

Yup. Rob pointed that out and I have a solution. Updated the PR already to handle that case, so we should be golden.
Comment 8 JBoss JIRA Server 2013-09-30 16:36:02 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1672

pushed
Comment 12 Tomáš Sedmík 2013-12-17 14:20:57 EST
Verified in jbdsis-7.0.0.CR1 (SwitchYard Tooling - 1.1.2.v20131213-2033-H428-CI)
Comment 13 JBoss JIRA Server 2014-06-16 19:53:17 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1672 to Closed

Note You need to log in before you can comment on or make changes to this bug.